# visualize 4.5.0 - Hotfix - "Seeing is Greek"

## CHANGES

- Removed unicode to display variables and inequalities per CRAN request.
- Increased the required R version to v4.0.0.
- Switched deployment from Travis to GitHub Actions
- Added a pkgdown website.

# visualize 4.4.0 - Hotfix - "Seeing is Refreshing"

## CHANGES

- Updated package structure to reflect modern practices (#9)
- Switched documentation to use `markdown` (#9). 
- Improved the `README.Rmd` file with new examples (#10).

# visualize 4.3.0 - Hotfix - "Seeing is Modern"

## CHANGES

- Switched `visualize.distribution` from being made on library load to
  being an internal data set stored in `sysdata.rda` with build files
  stored in `data-raw` (#1)
- Switched documentation from Rd over to
  [`roxygen2`](https://cran.r-project.org/package=roxygen2) using
  [`Rd2roxygen`](https://cran.r-project.org/package=Rd2roxygen) (#2)
  
## MINOR CHANGES

- Switched `NEWS` to `NEWS.md` to take advantage of Markdown formatting. (#5)
- Switched `README` to use `README.Rmd`, which generates `README.md`. (#4)
- Added links to GitHub repository in `DESCRIPTION` file

## BUG FIX

- Corrected outstanding CRAN checks related to malformed `DESCRIPTION` file
  and need to import functions (#3)

# visualize 4.2.0 - Hotfix - "Seeing is Educational"

- A big thanks to Psychology Drs. Sharon Klinkenberg of the
  University of Amsterdam, who reported many of the bugs that were
  addressed in this release!

## MINOR CHANGES

- Error handling has been modified such that when improper parameters are
  supplied in the following scenarios the program will not render a graph and
  provide log out as to why the graph did not render:
    - Supply 1 statistic for a bounded or tails condition now stops the program
      from generating a graph. In the console, the user will receive: 
    
    > "Supplied stat length < 2 and section="<bounded,tails>" requires two statistics.
    >  Please resubmit with parameter stat=c(lower,upper)."
    
    - Supply 2 statistics but do not request a bounded or tails condition now
      stops the program from generating a graph. In the console, users will
      receive:
    
    >  "Supplied stat length > 1 and section="<lower,upper>" requires one
      statistic. Please resubmit with stat=your_test_statistic." 
    
    - Supply only 1 strict value for discrete distributions and request bounded
      or tails, then the strict value will apply to both ends. In the console,
      users will receive:
    
    >  "Supplied strict length < 2, setting inequalities to "<strict, equal to>"
      inequality."
      
- A warning is now issued when requesting tails option for a nonsymmetric
  distribution.

## BUG FIXES

- Area for the F distribution should now render more reliably underneath the
  probability density function plot.
- F Distribution correctly renders F-Statistic instead of T-Statistic.
- F Distribution's parameters (df1,df2) are now correctly rendered.
- If a test statistic for a continuous distribution begins above or below the
  graph's bounds, then the graph will render without a highlighted area.
- All graphs involving nonsymmertric distributions now begin on the x-axis at 0.


# visualize 4.1.0 - Hotfix - "Seeing is Windowed"

## BUG FIX

- Documentation should no longer disappear off screen.

# visualize 4.0.0 - Live Update - "Seeing is Split"

## NEW

- Two tail evaluations for both continuous and discrete distributions!
- Highlighted shading in continuous distributions!
- Start and End markers for test statistic(s) on x-axis!

## DOCUMENTATION

- Updated visualize.<dist> functions to account for new section request.

# visualize 3.0.0 - Live Update - "Seeing is Strict"

## NEW

- Evaluate probabilities with strict inequalities!

## MINOR CHANGES

- Rewrote sections to increase efficiency and reliability.

# visualize 2.2.0 - Hotfix - "Seeing is Correct"

## BUG FIX

- Corrects rendering issue with supplied stat not meeting certain criteria.

# visualize 2.1.0 - Hotfix - "Seeing is Off"

## BUG FIXES

- Corrects minor graphing labels.
- Revised error handling.

# visualize 2.0.0 - Live Update - "Seeing is Believing"

## NEW

- Support for the following Continuous Distributions:
  Cauchy, F, Log Normal, Logistic, T, and Wilcox.
- Bar graph rendering for discrete probability distributions.

## MINOR CHANGES

- Rewritten Distribution Wrapper

# visualize 1.0.0 - Live Update - "Seeing is Magic"

## NEW

- Graph the PDF or PMF of a probability function and determine the probability
  enclosed.
- See characteristics of the distribution requested
  (Parameters, Mean, and Variance).
- Supported Continuous Distributions: 
  Chi-squared, beta, gamma, exponential, uniform, and normal.
- Supported Discrete Distributions: 
  Geometric, binomial, poisson, hypergeometric, and negative binomial.

## THANKS

- Visualize was made as an independent study project to learn about creating
  r-packages and explore probability distributions that was approved and 
  mentored by Statistics Professor Jeffrey A Douglas at the
  University of Illinois at Urbana-Champaign (UIUC).
